
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops toolbox dump

Dump cluster information

### Synopsis

Displays cluster information.  Includes information about cloud and Kubernetes resources.

```
kops toolbox dump [CLUSTER] [flags]
```

### Examples

```
  # Dump cluster information
  kops toolbox dump --name k8s-cluster.example.com
```

### Options

```
      --cloud-resources      Include cloud resources in the dump (default true)
      --dir string           Target directory; if specified will collect logs and other information.
  -h, --help                 help for dump
      --k8s-resources        Include k8s resources in the dump
      --max-nodes int        The maximum number of nodes from which to dump logs (default 500)
  -o, --output string        Output format.  One of json or yaml (default "yaml")
      --private-key string   File containing private key to use for SSH access to instances (default "~/.ssh/id_rsa")
      --ssh-user string      The remote user for SSH access to instances (default "ubuntu")
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops toolbox](kops_toolbox.md)	 - Miscellaneous, experimental, or infrequently used commands.

